# Class goog.labs.testing.AllOfMatcher

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

The AllOf matcher.

## Constructor

goog.labs.testing.AllOfMatcher ( matchers )

Parameters

matchers: `!Array`
  Input matchers.

Show:PublicProtectedPrivate

## Instance Methods

code » describe ( actualValue ) ⇒ `string`

Describes why the matcher failed. The returned string is a concatenation of all the failed matchers' error strings.

Parameters

actualValue

code » matches ( actualValue ) ⇒ `boolean`

Determines if all of the matchers match the input value.

Parameters

actualValue

## Instance Properties

code » matchers_ : `!Array`